# Notifications

## Overview of all of your notifications

<mark style="color:blue;">`GET`</mark> `https://cronly.app/api/notifications`

This endpoint uses pagination

#### Query Parameters

| Name      | Type    | Description                                  |
| --------- | ------- | -------------------------------------------- |
| page      | Integer | The page you want to view (default: 1)       |
| per\_page | Integer | The number of results per page (default: 10) |

#### Headers

| Name                                            | Type   | Description         |
| ----------------------------------------------- | ------ | ------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer: `API token` |

{% tabs %}
{% tab title="200 Your notifications" %}

```json
{
    "current_page": 1,
    "data": [
        {
            "id": "90d198e9-d003-4e40-a845-b15c2c2eadf1",
            "type": "App\\Notifications\\MonitorFailedNotification",
            "notifiable_type": "App\\Models\\Company",
            "notifiable_id": 1,
            "data": {
                "type": "monitor",
                "type_id": 5,
                "project_id": 1,
                "status": "failed",
                "title": "Monitor test did not receive a pulse in time",
                "description": "Monitor test did not receive a pulse within 1\n            minutes, and has been marked as failed. This monitor will stop monitoring until it receives a pulse again.",
                "timezone": "UTC",
                "icon": "fa-stopwatch",
                "monitor_name": "test",
                "monitor_token": "6e9c5250-a609-4fcc-aec8-710104fd744e",
                "monitor_schedule": "* * * * *",
                "monitor_last_run_at": null,
                "monitor_duration": 1,
                "monitor_is_alerted": 1,
                "monitor_alert_reason": "Monitor failed"
            },
            "read_at": null,
            "created_at": "2022-05-31T19:48:03.000000Z",
            "updated_at": "2022-05-31T19:48:03.000000Z"
        },
        {
            "id": "97a31488-3ac3-4c38-9705-3c2ed03592f3",
            "type": "App\\Notifications\\SslCertificateNotification",
            "notifiable_type": "App\\Models\\Company",
            "notifiable_id": 1,
            "data": {
                "type": "ssl_certificate",
                "type_id": 7,
                "project_id": null,
                "status": "valid",
                "title": "Certificate google.com status changed",
                "description": "Certificate google.com status changed to valid",
                "timezone": "UTC",
                "icon": "fa-file-code",
                "ssl_certificate_hostname": "google.com",
                "ssl_certificate_port": 443,
                "ssl_certificate_expires_at": "2022-07-27T16:26:50.000000Z",
                "ssl_certificate_status": "valid",
                "ssl_certificate_last_checked_at": "2022-05-31T19:40:43.000000Z"
            },
            "read_at": null,
            "created_at": "2022-05-31T19:40:44.000000Z",
            "updated_at": "2022-05-31T19:40:44.000000Z"
        },
        {
            "id": "81612a8d-386b-44d9-8d05-44c2c4b3af76",
            "type": "App\\Notifications\\SslCertificateNotification",
            "notifiable_type": "App\\Models\\Company",
            "notifiable_id": 1,
            "data": {
                "type": "ssl_certificate",
                "type_id": 6,
                "project_id": null,
                "status": "valid",
                "title": "Certificate google.com status changed",
                "description": "Certificate google.com status changed to valid",
                "timezone": "UTC",
                "icon": "fa-file-code",
                "ssl_certificate_hostname": "google.com",
                "ssl_certificate_port": 443,
                "ssl_certificate_expires_at": "2022-07-27T16:26:50.000000Z",
                "ssl_certificate_status": "valid",
                "ssl_certificate_last_checked_at": "2022-05-31T19:39:50.000000Z"
            },
            "read_at": null,
            "created_at": "2022-05-31T19:39:50.000000Z",
            "updated_at": "2022-05-31T19:39:50.000000Z"
        },
        {
            "id": "dbd94ab6-e1db-4ded-b628-21e2daed0ba5",
            "type": "App\\Notifications\\SslCertificateNotification",
            "notifiable_type": "App\\Models\\Company",
            "notifiable_id": 1,
            "data": {
                "type": "ssl_certificate",
                "type_id": 5,
                "project_id": null,
                "status": "valid",
                "title": "Certificate dev.cronly.app status changed",
                "description": "Certificate dev.cronly.app status changed to valid",
                "timezone": "UTC",
                "icon": "fa-file-code",
                "ssl_certificate_hostname": "dev.cronly.app",
                "ssl_certificate_port": 443,
                "ssl_certificate_expires_at": "2022-08-06T21:10:45.000000Z",
                "ssl_certificate_status": "valid",
                "ssl_certificate_last_checked_at": "2022-05-31T19:19:07.000000Z"
            },
            "read_at": null,
            "created_at": "2022-05-31T19:19:09.000000Z",
            "updated_at": "2022-05-31T19:19:09.000000Z"
        },
        {
            "id": "9e85e89c-74c4-4e45-b5a9-319b3d4fd1b6",
            "type": "App\\Notifications\\MonitorFailedNotification",
            "notifiable_type": "App\\Models\\Company",
            "notifiable_id": 1,
            "data": {
                "type": "monitor",
                "type_id": 1,
                "project_id": null,
                "status": "failed",
                "title": "Monitor Test monitor did not receive a pulse in time",
                "description": "Monitor Test monitor did not receive a pulse within 1\n            minutes, and has been marked as failed. This monitor will stop monitoring until it receives a pulse again.",
                "timezone": "UTC",
                "icon": "fa-stopwatch",
                "monitor_name": "Test monitor",
                "monitor_token": "91d13ccf-f015-4e61-aae9-355627815800",
                "monitor_schedule": "* * * * *",
                "monitor_last_run_at": "2022-05-30T13:39:55.000000Z",
                "monitor_duration": 1,
                "monitor_is_alerted": 1,
                "monitor_alert_reason": "Monitor failed"
            },
            "read_at": null,
            "created_at": "2022-05-30T13:41:04.000000Z",
            "updated_at": "2022-05-30T13:41:04.000000Z"
        },
        {
            "id": "388871d3-73c3-47cb-92c3-eb80cb0f1be8",
            "type": "App\\Notifications\\MonitorFailedNotification",
            "notifiable_type": "App\\Models\\Company",
            "notifiable_id": 1,
            "data": {
                "type": "monitor",
                "type_id": 1,
                "project_id": null,
                "status": "failed",
                "title": "Monitor Test monitor did not receive a pulse in time",
                "description": "Monitor Test monitor did not receive a pulse within 1\n            minutes, and has been marked as failed. This monitor will stop monitoring until it receives a pulse again.",
                "timezone": "UTC",
                "icon": "fa-stopwatch",
                "monitor_name": "Test monitor",
                "monitor_token": "91d13ccf-f015-4e61-aae9-355627815800",
                "monitor_schedule": "* * * * *",
                "monitor_last_run_at": "2022-05-30T13:32:03.000000Z",
                "monitor_duration": 1,
                "monitor_is_alerted": 1,
                "monitor_alert_reason": "Monitor failed"
            },
            "read_at": "2022-05-30T13:38:43.000000Z",
            "created_at": "2022-05-30T13:34:03.000000Z",
            "updated_at": "2022-05-30T13:38:43.000000Z"
        }
    ],
    "first_page_url": "https://cronly.app/api/notifications?page=1",
    "from": 1,
    "last_page": 1,
    "last_page_url": "https://cronly.app/api/notifications?page=1",
    "links": [
        {
            "url": null,
            "label": "&laquo; Previous",
            "active": false
        },
        {
            "url": "https://cronly.app/api/notifications?page=1",
            "label": "1",
            "active": true
        },
        {
            "url": null,
            "label": "Next &raquo;",
            "active": false
        }
    ],
    "next_page_url": null,
    "path": "https://cronly.app/api/notifications",
    "per_page": 10,
    "prev_page_url": null,
    "to": 6,
    "total": 6
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cronly.app/api/cron-job-monitor-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
